"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var JSFunctions = {
    objectToURIVars: objectToURIVars
};
/**@description This function can convert your objecs to URIVariables string */
function objectToURIVars(obj) {
    if (obj === void 0) { obj = {}; }
    //https://stackoverflow.com/questions/6566456/how-to-serialize-an-object-into-a-list-of-url-query-parameters
    var str = "";
    for (var key in obj) {
        if (str != "") {
            str += "&";
        }
        str += key + "=" + encodeURIComponent(obj[key]);
    }
    return str;
}
exports.default = JSFunctions;
//# sourceMappingURL=JSFunctions.js.map