import PageData from "./PageData";
import EventDispatcher from "../EventDispatcher";
interface PageManagerModel {
    dispatcher: EventDispatcher;
    PAGE_CHANGED: string;
    routerParamList: string;
    changePage: typeof changePage;
    decodePageParams: typeof decodePageParams;
    getCurrentPage: typeof getCurrentPage;
    registerPage: typeof registerPage;
}
declare var PageManager: PageManagerModel;
declare function registerPage(page: PageData): void;
declare function changePage(targetPage: PageData, pageData?: any[]): void;
/**@description pass the constructor's props to the function and retrive parameters list */
declare function decodePageParams(props?: any): any[] | null;
/**@return {PageData} */
declare function getCurrentPage(): PageData | null;
export default PageManager;
